# Your file header here!

import networkx as nx
import matplotlib.pyplot as plt
# Above, we are importing a data visualization library called matplotlib.
# You will not need to interact with it directly, but you can see some
# of its functions in main.

# NOTE: This file will use stand-alone functions.
# Your code here should not be in a class.
# The main function has been implemented for you.
# Don't forget to call it!

# Add your code below!


def main():
    # Nothing to implement here! But you can read through the comments
    # to get a better idea of what's going on.
    
    practice_graph = get_practice_graph()  # Get the practice graph
    
    # Here, we draw the practice graph on a canvas provided by
    # matplotlib
    nx.draw_networkx(practice_graph)

    plt.savefig('practice_graph.png')  # Save the figure to a png file
    plt.clf()  # Clear the figure/canvas from matplotlib

    practice_digraph = get_practice_digraph()  # Get the practice digraph
    
    # Now, we draw the practice digraph on the cleared canvas
    nx.draw_networkx(practice_digraph)

    plt.savefig('practice_digraph.png')  # Save the figure to a png file
